Source: https://docs.cumuluslabs.io/reference/runs.transcript
Content version: 9904dcd6

# runs.transcript

Read the run transcript

## Request {#request}

`GET /api/v1/runs/{run_id}/transcript`

- MCP: `runs_transcript`
- SDK: `client.runs.transcript` (SDK path arguments use `path`; MCP uses `params`).
- Minimum API key role: **viewer**.
- Idempotency: **none**.

Use the request schema below. Read IDs from earlier operation results.

## Input schema {#input-schema}

```json
{
  "parameters": [
    {
      "name": "run_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid"
      }
    }
  ],
  "requestBody": null
}
```

## Responses {#responses}

```json
{
  "200": {
    "description": "Read the run transcript",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/RunsTranscriptResponse200"
        }
      }
    }
  },
  "4XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  },
  "5XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  }
}
```

## Referenced schemas {#schemas}

```json
{
  "components": {
    "schemas": {
      "RunsTranscriptResponse200": {
        "type": "object",
        "properties": {
          "run_id": {
            "type": "string",
            "format": "uuid"
          },
          "state": {
            "type": "string",
            "enum": [
              "complete",
              "partial",
              "not_available",
              "expired"
            ]
          },
          "utterances": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "index": {
                  "type": "integer",
                  "minimum": 0
                },
                "role": {
                  "type": "string",
                  "enum": [
                    "agent",
                    "user"
                  ]
                },
                "text": {
                  "type": "string"
                },
                "segment_id": {
                  "type": "string",
                  "minLength": 1,
                  "nullable": true
                },
                "observed_offset_ms": {
                  "type": "integer",
                  "minimum": 0,
                  "nullable": true
                },
                "interrupted": {
                  "type": "boolean"
                },
                "start_ms": {
                  "type": "integer",
                  "minimum": 0,
                  "nullable": true
                },
                "end_ms": {
                  "type": "integer",
                  "minimum": 0,
                  "nullable": true
                },
                "node_id": {
                  "type": "string",
                  "minLength": 1,
                  "nullable": true
                }
              },
              "required": [
                "index",
                "role",
                "text",
                "segment_id",
                "observed_offset_ms",
                "interrupted",
                "start_ms",
                "end_ms",
                "node_id"
              ],
              "additionalProperties": false
            }
          },
          "checkpoint": {
            "type": "object",
            "properties": {
              "segments": {
                "type": "integer",
                "minimum": 0
              },
              "last_completed_turn_offset_ms": {
                "type": "integer",
                "minimum": 0
              },
              "published_at": {
                "type": "string",
                "format": "date-time"
              }
            },
            "required": [
              "segments",
              "last_completed_turn_offset_ms",
              "published_at"
            ],
            "additionalProperties": false,
            "nullable": true
          },
          "content": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ContentRef"
              }
            ],
            "nullable": true
          }
        },
        "required": [
          "run_id",
          "state",
          "utterances",
          "checkpoint",
          "content"
        ],
        "additionalProperties": false
      },
      "ContentRef": {
        "type": "object",
        "properties": {
          "artifact_id": {
            "type": "string",
            "format": "uuid"
          },
          "sha256": {
            "type": "string",
            "pattern": "^[a-f0-9]{64}$"
          },
          "byte_size": {
            "type": "integer",
            "minimum": 0
          },
          "media_type": {
            "type": "string",
            "minLength": 1,
            "maxLength": 128
          },
          "expires_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          }
        },
        "required": [
          "artifact_id",
          "sha256",
          "byte_size",
          "media_type",
          "expires_at"
        ],
        "additionalProperties": false
      },
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "enum": [
                  "unauthenticated",
                  "forbidden",
                  "not_found",
                  "conflict",
                  "invalid_request",
                  "idempotency_conflict",
                  "policy_denied",
                  "capability_unavailable",
                  "provider_unavailable",
                  "knowledge_unavailable",
                  "publication_invalid",
                  "run_not_active",
                  "rate_limited",
                  "outcome_unknown",
                  "internal"
                ]
              },
              "message": {
                "type": "string"
              },
              "retryable": {
                "type": "boolean"
              },
              "outcome": {
                "type": "string",
                "enum": [
                  "none",
                  "unknown"
                ]
              },
              "details": {
                "type": "object",
                "additionalProperties": {}
              }
            },
            "required": [
              "code",
              "message",
              "retryable",
              "outcome"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "error"
        ],
        "additionalProperties": false
      }
    }
  }
}
```

## Errors and recovery {#errors}

See [API error handling](https://docs.cumuluslabs.io/api#errors) and [Troubleshooting](https://docs.cumuluslabs.io/troubleshooting).

## Related guides {#related-guides}

- [Using the API](https://docs.cumuluslabs.io/api)
- [Runs](https://docs.cumuluslabs.io/runs)
- [Troubleshooting](https://docs.cumuluslabs.io/troubleshooting)
